=== debian/changelog ===
swi-prolog (6.2.6-6) unstable; urgency=low

  * Don't build-conflict on libunwind7-dev on ia64. Hopefully that will
    allow this package to build?... 

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 18 Jun 2013 02:32:21 +0200

swi-prolog (6.2.6-5) unstable; urgency=high

  * Build-conflict on libunwind[78]-dev until libunwind8 is build on all
    architectures
  * Urgency high in order to allow this and dependent packages migrate to
    testing (6.2.6-4 is 20 days old)
  * Use the cannonical URI in Vcs-Git control field (closes: #697420)

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 17 Jun 2013 23:53:55 +0200

swi-prolog (6.2.6-4) unstable; urgency=low

  * Install TIPC package into swi-prolog-nox on Linux
  * Run autoconf in packages/tipc
  * Fix spelling error in dh_swi_prolog's manpage (thanks, lintian)

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 29 May 2013 00:36:56 +0200

swi-prolog (6.2.6-3) unstable; urgency=low

  * Move the static library to /usr/lib (closes: #709606)
  * Disable 'http' tests — they require network connection
  * New patch:
    - override-PLLIBDIR.diff - set PLLIBDIR to 'swi-prolog', this should take
      care of setting PLBASE to correct value. This simplifies other patches
      and debian/rules
  * Relax shlibs dependency for libswipl.so.
  * Break logol (<< 1.6.1-2~) (closes: #709605)

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 26 May 2013 18:02:35 +0200

swi-prolog (6.2.6-2) unstable; urgency=low

  * Upload to unstable
  * Add dh_swi_prolog and swi_prolog sequence for dh. Those two
    allow packages that contain compiled swi-prolog programs to use
    swi-prolog:Depends environment variable to depend on prolog
    version that can execute those programs. swi-prolog-nox
    now provides swi-prolog-vm-* virtual package. For now the virtual
    package name is updated manually (Closes: #631005).
  * Make swi-prolog-nox recommend debhelper (for dh_swi_prolog).

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 22 May 2013 22:44:23 +0200

swi-prolog (6.2.6-1) experimental; urgency=low

  * New upstream release 

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 10 May 2013 22:36:57 +0200

swi-prolog (6.2.5-6) experimental; urgency=low

  * Fix Vcs-* fields in debian/control (closes: #697420, thanks to Salvatore
    Bonaccorso)
  * Remove pthread-flag-detection.diff - it causes segfaults on Hurd,
    probably because of missing -D_REENTRANT
  * New patch:
    - add-pthread.diff - add -pthread compiler/linker flag when adding
      -D_REENTRANT. This is another attempt to fix FTBFS on Hurd.

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 10 May 2013 22:36:37 +0200

swi-prolog (6.2.5-5) experimental; urgency=low

  * New patch:
    - pthread-flag-detection.diff - do not check for -D_REENTRANT when
      checking for -pthread flag support. This does not work on Hurd.
      See also #697133. 
  * Remove patches not in debian/patches/series:
    - 04_fix_hyphens_being_used_as_minus_signs_in_manpages.diff
    - segstack-alignment.diff
    - swi-prolog-mipsel-FTBFS.diff

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 04 Jan 2013 19:25:41 +0100

swi-prolog (6.2.5-4) experimental; urgency=low

  * Build swi-prolog-java additionally on armhf and s390x - they also have
    OpenJDK as default-jdk

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 01 Jan 2013 17:27:51 +0100

swi-prolog (6.2.5-3) experimental; urgency=low

  * Build-depend on junit on platforms that have -java package,
    this should fix testsuite failures

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 01 Jan 2013 04:36:49 +0100

swi-prolog (6.2.5-2) experimental; urgency=low

  * Link libjpl.so from the JNI directory, so Java runtime can find it
    without need to modify LD_LIBRARY_PATH
  * Enable checks for jpl package 
  * New patch:
    - java-test-library-path.diff - set LD_LIBRARY_PATH during jpl check
  * Add README.Debian to swi-prolog-java package that describes
    current problems when using Java with SWI Prolog (see also #690734)

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 01 Jan 2013 02:30:17 +0100

swi-prolog (6.2.5-1) experimental; urgency=low

  * New upstream release

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 30 Dec 2012 17:32:47 +0100

swi-prolog (6.2.3-1) experimental; urgency=low

  * New upstream release
  * Remove patches (applied upstream):
    - upstream-6.2.3-pre.diff
    - distclean-fixes.diff 
    - implicit-declarations.diff
    - VEOL2-check.diff
  * Updated patches:
    - default-stack-size.diff
    - no-rpath.diff 

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 25 Nov 2012 16:05:35 +0100

swi-prolog (6.2.2-17) experimental; urgency=low

  * New patch:
    - no-rpath.diff - do not set rpath during compilation
  * Use dh-autoreconf during the package build
  * Pass --enable-shared to configure again 

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 04 Nov 2012 18:10:07 +0100

swi-prolog (6.2.2-16) experimental; urgency=low

  * Show ulimit settings during build (for thread stack size problem
    debugging).
  * Use swipl.sh wrapper to install prolog packages

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 28 Oct 2012 20:57:30 +0100

swi-prolog (6.2.2-14) experimental; urgency=low

  * Refactor prolog package installation code in debian/rules
  * Pass DISABLE_PKGS to configure instead of --without-* (the last one looks
    broken)
  * Install package clpqr into swi-prolog-nox
  * Install package nlp into swi-prolog-nox and run checks for it
  * Install package ssl into swi-prolog-nox
    - build-depend on libssl-dev for it
  * Install package zlib into swi-prolog-nox and run checks for it
    - build-depend on zlib1g-dev
  * Install package R into swi-prolog-nox
  * Install package protobufs into swi-prolog-nox and run checks for it
  * Install package PDT into swi-prolog-nox
  * Install package utf8proc into swi-prolog-nox
  * Add -DMAXPATHLEN=1024 to CPPFLAGS on Hurd (propert fix should be
    implemented later)


