## swi-prolog 6.4.1

=== debian/changelog ===
swi-prolog (6.4.1-4) unstable; urgency=low

  * Don't build-depend on valgrind on armel, it does not build there anymore
    (closes: #729142)

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 09 Nov 2013 20:49:18 +0100

swi-prolog (6.4.1-3) unstable; urgency=low

  * Install link to pldoc.sty to a location where latex can find it (closes:
    #719079)
  * Activate texmf-lsr trigger in swi-prolog-nox so pldoc.sty could be
    registered

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 15 Aug 2013 13:50:25 +0200

swi-prolog (6.4.1-2) unstable; urgency=low

  * Build-depend on valgrind where available
  * New patch:
    - numbers-format.diff - always use period as decimal separator when
      formatting Prolog numbers (rest of the fix for the upstream bug 113)
  * Don't override LC_NUMERIC anymore
  * Update years in debian/copyright
  * Upload to unstable

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 04 Aug 2013 20:32:36 +0200

swi-prolog (6.4.1-1) experimental; urgency=low

  * New upstream release
  * Upload to experimental for now
  * Don't run autoreconf in packages/ticp — fixed upstream
  * Remove patches:
    - disable-java-testFetchLongList2a.diff — fixed upstream
  * New patches:
    - locales-bug.diff — fix locales handling (upstream bug 113)
  * Build-depend on libossp-uuid-dev for UUID support
  * Fix handling of 'parallel' in DEB_BUILD_OPTIONS
  * Increase swi-prolog-vm version to 1
  * Build with LC_NUMERIC set to C to work around rests of upstream bug 113
  * Run dh_swi_prolog only on swi-prolog-nox to avoid warnings about unsed
    variables

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 23 Jul 2013 23:05:18 +0200

swi-prolog (6.2.6-7) unstable; urgency=low

  * New patch:
    - disable-java-testFetchLongList2a.diff - disable test case that fils on
      IA64 because of not enough stack space

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 18 Jun 2013 23:32:02 +0200
