=== debian/control ===
--- 
+++ 
@@ -25,7 +25,9 @@
  zlib1g-dev,
 # libunwind8-dev [ia64 i386 amd64 ppc64 powerpc armel armhf],
  dh-autoreconf (>= 6~),
- perl
+ perl,
+ libossp-uuid-dev,
+ valgrind [amd64 armhf i386 mips mipsel powerpc ppc64 s390x]
 Build-Conflicts: libunwind8-dev, libunwind7-dev [!ia64]
 Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/collab-maint/swi-prolog.git
