=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,11 @@
 
 DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 DEB_BUILD_MULTIARCH := $(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)
+
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+MAKEFLAGS += -j$(NUMJOBS)
+endif
 
 CONFFLAGS = --libdir=/usr/lib --with-world --disable-libdirversion --enable-shared
 
@@ -59,7 +64,7 @@
 endef
 
 %:
-	dh $@ --with=autoreconf --parallel
+	dh $@ --with=autoreconf
 
 override_dh_auto_configure:
 	$(SHELL) -c "ulimit -a"
@@ -113,7 +118,7 @@
 override_dh_install:
 
 override_dh_gencontrol:
-	debian/debhelper/dh_swi_prolog
+	debian/debhelper/dh_swi_prolog -pswi-prolog-nox
 	dh_gencontrol
 
 override_dh_builddeb:
