## swi-prolog 6.6.0

=== debian/changelog ===
swi-prolog (6.6.0-2) unstable; urgency=low

  * New patch:
    - mips-ftbfs-fix.diff - fix FTBFS on misp(el) by removing extra definition
      ALIGNOF_DOUBLE macro. Patch was taken from the upstream Git repo.

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 28 Nov 2013 22:37:49 +0100

swi-prolog (6.6.0-1) unstable; urgency=low

  * New upstream release
  * Remove patches:
    - locales-bug.diff - applied upstream
    - numbers-format.diff - applied upstream 
  * Refresh patches:
    - no-rpath.diff
  * Use new vm virtual package: swi-prolog-vm-2

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 27 Nov 2013 00:27:04 +0100
