=== debian/changelog ===
swi-prolog (6.6.4-2ubuntu1) trusty; urgency=medium

  * Fix linking the jni library on ppc64el.
  * Build-depend on libunwind8-dev and valgrind on ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Apr 2014 12:26:12 +0200

swi-prolog (6.6.4-2) unstable; urgency=medium

  * Add more architectures with Java support (closes: #742279)
  * Use DEB_HOST_* variables instead of DEB_BUILD_* when needed (closes:
    #742354). Thanks to Matthias Klose
  * Use ln -sf to create symlinks (closes: #742355)
  * Build-depend on libunwind8 on ppc64
  * Use autotools-dev to update config.guess/config.sub (closes: #742353)

 -- Євгеній Мещеряков <eugen@debian.org>  Sat, 22 Mar 2014 21:54:28 +0100

swi-prolog (6.6.4-1) unstable; urgency=medium

  * New upstream release

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 21 Mar 2014 21:43:34 +0100

swi-prolog (6.6.3-1) unstable; urgency=medium

  * New upstream release
  * Removed patches (fixed upstream):
    - new-readline.diff
    - mt-crash-fix.diff

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 19 Mar 2014 23:03:32 +0100

swi-prolog (6.6.2-3) unstable; urgency=medium

  * New patch:
    - mt-crash-fix.diff — patch from upstream git to fix TFBFS on armel
  * Remove versioned dependency on libreadline-dev

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 16 Mar 2014 19:06:16 +0100

swi-prolog (6.6.2-2) unstable; urgency=medium

  * Stop building swi-prolog-java on sparc — OpenJDK is not a default JDK
    there anymore

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 07 Mar 2014 00:15:09 +0100

swi-prolog (6.6.2-1) unstable; urgency=medium

  * New upstream release
  * Removed patches:
    - test-output-fix.diff - fixed upstream
  * Build-depend on libreadline-dev (>= 6.3~)
  * New patch:
    - new-readline.diff - fix building with new readline
  * Use libunwind again

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 05 Mar 2014 23:51:17 +0100

swi-prolog (6.6.1-1) experimental; urgency=medium

  * New upstream release
  * Upload to experimental for now
  * Remove patches:
    - java-test-library-path.diff - fixed upstream
    - mips-ftbfs-fix.diff - fixed upstream 
  * Standards-Version 3.9.5 - no changes needed
  * New patch from upstream git:
    - test-output-fix.diff - fix output of test scripts on buildds

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 13 Dec 2013 22:43:34 +0100
