=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
  libxt-dev,
  x11proto-core-dev,
  unixodbc-dev,
- default-jdk [alpha amd64 armel armhf i386 ia64 mips mipsel powerpc s390 s390x sparc],
- junit [alpha amd64 armel armhf i386 ia64 mips mipsel powerpc s390 s390x sparc],
+ default-jdk [alpha amd64 arm64 armel armhf i386 lpia mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 x32],
+ junit [alpha amd64 arm64 armel armhf i386 lpia mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 x32],
  libxft-dev,
  libxext-dev,
  libice-dev,
@@ -23,13 +23,14 @@
  libarchive-dev,
  libssl-dev,
  zlib1g-dev,
-# libunwind8-dev [ia64 i386 amd64 ppc64 powerpc armel armhf],
+ libunwind8-dev [amd64 armel armhf i386 mips powerpc ppc64 ppc64el],
  dh-autoreconf (>= 6~),
  perl,
  libossp-uuid-dev,
- valgrind [amd64 armhf i386 mips mipsel powerpc ppc64 s390x]
-Build-Conflicts: libunwind8-dev, libunwind7-dev [!ia64]
-Standards-Version: 3.9.4
+ valgrind [amd64 armhf i386 mips mipsel powerpc ppc64 s390x],
+ autotools-dev
+Build-Conflicts: libunwind7-dev
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/collab-maint/swi-prolog.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/swi-prolog.git
 Homepage: http://www.swi-prolog.org
@@ -100,7 +101,7 @@
  gained popularity most with Prolog.
 
 Package: swi-prolog-java
-Architecture: alpha amd64 armel armhf i386 ia64 mips mipsel powerpc s390 s390x sparc
+Architecture: alpha amd64 arm64 armel armhf i386 lpia mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 x32
 Depends: ${shlibs:Depends}, swi-prolog-nox (= ${binary:Version}), ${misc:Depends}, default-jre-headless | java2-runtime
 Description: Bidirectional interface between SWI-Prolog and Java
  SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
