=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
-DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
-DEB_BUILD_MULTIARCH := $(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)
+DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -15,7 +15,7 @@
 LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) $(shell dpkg-buildflags --get CFLAGS)
 
 # FIXME implement a proper fix
-ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH_OS),hurd)
+ifeq ($(shell dpkg-architecture -qDEB_HOST_ARCH_OS),hurd)
 CPPFLAGS += -DMAXPATHLEN=1024
 endif
 
@@ -24,14 +24,14 @@
 # List of architectures where -java package should be built.
 JAVA_ARCHS = $(shell grep-dctrl -PX swi-prolog-java -nsArchitecture debian/control)
 
-ifeq ($(filter $(DEB_BUILD_ARCH),$(JAVA_ARCHS)),)
+ifeq ($(filter $(DEB_HOST_ARCH),$(JAVA_ARCHS)),)
     DISABLE_PKGS=jpl
 else
     JAVA_PACKAGES = jpl
 endif
 
 PLBASE := /usr/lib/swi-prolog/
-JNIDIR := /usr/lib/$(DEB_BUILD_MULTIARCH)/jni
+JNIDIR := /usr/lib/$(DEB_HOST_MULTIARCH)/jni
 
 NOX_PACKAGES = clib cpp table sgml RDF semweb http chr clpqr nlp ssl pldoc plunit zlib R protobufs PDT utf8proc archive
 X_PACKAGES = xpce
@@ -41,7 +41,7 @@
 DISABLE_PKGS += windows
 export DISABLE_PKGS
 
-ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH_OS),linux)
+ifeq ($(shell dpkg-architecture -qDEB_HOST_ARCH_OS),linux)
     NOX_PACKAGES += tipc
 else
     DISABLE_PKGS += tipc
@@ -64,12 +64,12 @@
 endef
 
 %:
-	dh $@ --with=autoreconf
+	dh $@ --with=autotools_dev,autoreconf
 
 override_dh_auto_configure:
 	$(SHELL) -c "ulimit -a"
 	$(SHELL) -c "ulimit -Ha"
-	dh_auto_configure -- $(CONFFLAGS) PL="swipl" PLARCH=$(DEB_BUILD_ARCH)
+	dh_auto_configure -- $(CONFFLAGS) PL="swipl" PLARCH=$(DEB_HOST_ARCH)
 
 override_dh_auto_build:
 	$(MAKE) < /dev/null 
@@ -100,13 +100,13 @@
 	# Remove empty directories
 	find debian/ -depth -type d -empty -exec rm -rfv {} \;
 
-	mv $(CURDIR)/debian/swi-prolog-nox/$(PLBASE)/lib/$(DEB_BUILD_ARCH)/libswipl.so* $(CURDIR)/debian/swi-prolog-nox/usr/lib/
-	mv $(CURDIR)/debian/swi-prolog-nox/$(PLBASE)/lib/$(DEB_BUILD_ARCH)/libswipl.a $(CURDIR)/debian/swi-prolog-nox/usr/lib/
+	mv $(CURDIR)/debian/swi-prolog-nox/$(PLBASE)/lib/$(DEB_HOST_ARCH)/libswipl.so* $(CURDIR)/debian/swi-prolog-nox/usr/lib/
+	mv $(CURDIR)/debian/swi-prolog-nox/$(PLBASE)/lib/$(DEB_HOST_ARCH)/libswipl.a $(CURDIR)/debian/swi-prolog-nox/usr/lib/
 
 	# Link libjpl.so from the JNI directory so java can load it without LD_LIBRARY_PATH
 	mkdir -p $(CURDIR)/debian/swi-prolog-java/$(JNIDIR)
-	ln -s $(PLBASE)/lib/$(DEB_BUILD_ARCH)/libjpl.so \
-	      $(CURDIR)/debian/swi-prolog-java/$(JNIDIR)/
+	ln -sf $(PLBASE)/lib/$(DEB_HOST_ARCH)/libjpl.so \
+	       $(CURDIR)/debian/swi-prolog-java/$(JNIDIR)/
 
 	install -m755 debian/debhelper/dh_swi_prolog debian/swi-prolog-nox/usr/bin/
 	install -d debian/swi-prolog-nox/usr/share/man/man1
