## swi-prolog 6.6.5

=== debian/changelog ===
swi-prolog (6.6.5-1~bpo70+1) wheezy-backports; urgency=medium

  * wheezy-backports package
  * Adjust build-dependencies for wheezy
  * Adjust debian branch name in debian/gbp.conf

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 08 May 2014 21:45:51 +0200

swi-prolog (6.6.5-1) unstable; urgency=medium

  * New upstream release

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 30 Apr 2014 22:31:46 +0200
