=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
  libxt-dev,
  x11proto-core-dev,
  unixodbc-dev,
- default-jdk [alpha amd64 arm64 armel armhf i386 lpia mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 x32],
- junit [alpha amd64 arm64 armel armhf i386 lpia mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 x32],
+ default-jdk [alpha amd64 arm64 armel armhf i386 lpia mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc x32],
+ junit [alpha amd64 arm64 armel armhf i386 lpia mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc x32],
  libxft-dev,
  libxext-dev,
  libice-dev,
@@ -23,13 +23,12 @@
  libarchive-dev,
  libssl-dev,
  zlib1g-dev,
- libunwind8-dev [amd64 armel armhf i386 mips powerpc ppc64 ppc64el],
+ libunwind7-dev [amd64 i386 ia64],
  dh-autoreconf (>= 6~),
  perl,
  libossp-uuid-dev,
- valgrind [amd64 armhf i386 mips mipsel powerpc ppc64 s390x],
+ valgrind [amd64 armhf i386 powerpc ppc64 s390x],
  autotools-dev
-Build-Conflicts: libunwind7-dev
 Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/collab-maint/swi-prolog.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/swi-prolog.git
@@ -101,7 +100,7 @@
  gained popularity most with Prolog.
 
 Package: swi-prolog-java
-Architecture: alpha amd64 arm64 armel armhf i386 lpia mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 x32
+Architecture: alpha amd64 arm64 armel armhf i386 lpia mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc x32
 Depends: ${shlibs:Depends}, swi-prolog-nox (= ${binary:Version}), ${misc:Depends}, default-jre-headless | java2-runtime
 Description: Bidirectional interface between SWI-Prolog and Java
  SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
