=== debian/changelog ===
swi-prolog (6.6.6-5) unstable; urgency=medium

  * Fix soname generation for versions with Debian parts consisting of more
    than one characters after the minus sign

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 22 Oct 2014 21:34:12 +0200

swi-prolog (6.6.6-4) unstable; urgency=medium

  [ Ondřej Surý ]
  * Change B-D to libjpeg-dev to finish the transition to libjpeg-turbo

  [ Євгеній Мещеряков ]
  * Patch from Ondřej Surý closes: #763495
  * Standards-Version 3.9.6 - no changes required

 -- Євгеній Мещеряков <eugen@debian.org>  Fri, 03 Oct 2014 19:23:01 +0200

swi-prolog (6.6.6-3) unstable; urgency=medium

  [ Fernando Seiti Furusato ]
  * The arch dir for openjdk has changed for ppc64el: from ppc64le to ppc64.

  [ Євгеній Мещеряков ]
  * Apply patch from Fernando Seiti Furusato (closes: #761222)

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 17 Sep 2014 22:18:34 +0200

swi-prolog (6.6.6-2) unstable; urgency=medium

  * Fix building on ppc64el, thanks to Fernando Seiti Furusato for the patch
    (closes: #754835)

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 14 Jul 2014 23:31:58 +0200

swi-prolog (6.6.6-1) unstable; urgency=medium

  * New upstream release
  * Don't override dh_builddeb anymore, xz is now a standard compressor
  * Update debian/copyright

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 10 Jun 2014 22:19:44 +0200

swi-prolog (6.6.5-2) unstable; urgency=medium

  * Stop suggesting obsolete swi-prolog-doc
  * Override lintian warning jar-not-in-usr-share
  * Build the -java package on mips64el
  * New  patches:
    - java-fixes.diff - fix building of -java package on ppc64 and ppc64el

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 25 May 2014 20:59:15 +0200
