=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
  libncursesw5-dev,
  libreadline-dev,
  libgmp-dev,
- libjpeg8-dev,
+ libjpeg-dev,
  libx11-dev,
  libxpm-dev,
  libxt-dev,
  x11proto-core-dev,
  unixodbc-dev,
- default-jdk [alpha amd64 arm64 armel armhf i386 lpia mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc x32],
- junit [alpha amd64 arm64 armel armhf i386 lpia mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc x32],
+ default-jdk [alpha amd64 arm64 armel armhf i386 lpia mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 x32],
+ junit       [alpha amd64 arm64 armel armhf i386 lpia mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 x32],
  libxft-dev,
  libxext-dev,
  libice-dev,
@@ -23,13 +23,14 @@
  libarchive-dev,
  libssl-dev,
  zlib1g-dev,
- libunwind7-dev [amd64 i386 ia64],
+ libunwind8-dev [amd64 armel armhf i386 mips powerpc ppc64],
  dh-autoreconf (>= 6~),
  perl,
  libossp-uuid-dev,
- valgrind [amd64 armhf i386 powerpc ppc64 s390x],
+ valgrind [amd64 armhf i386 mips mipsel powerpc ppc64 s390x],
  autotools-dev
-Standards-Version: 3.9.5
+Build-Conflicts: libunwind7-dev
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/swi-prolog.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/swi-prolog.git
 Homepage: http://www.swi-prolog.org
@@ -37,7 +38,7 @@
 Package: swi-prolog
 Architecture: any
 Depends: ${misc:Depends}, swi-prolog-nox (= ${binary:Version}), swi-prolog-x (= ${binary:Version})
-Suggests: swi-prolog-doc, prolog-el
+Suggests: prolog-el
 Description: ISO/Edinburgh-style Prolog interpreter
  SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
  rich set of built-in predicates. It offers a fast, robust and small
@@ -57,7 +58,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libgmp-dev, libreadline-dev, libncursesw5-dev
 Breaks: swi-prolog (<< 5.8.2-1), spark (<< 2012.0.deb-5~), logol (<< 1.6.1-2~)
-Suggests: swi-prolog-doc, prolog-el
+Suggests: prolog-el
 Recommends: debhelper
 Provides: ${swi-prolog:Depends}
 Description: ISO/Edinburgh-style Prolog interpreter (without X support)
@@ -100,7 +101,7 @@
  gained popularity most with Prolog.
 
 Package: swi-prolog-java
-Architecture: alpha amd64 arm64 armel armhf i386 lpia mips mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc x32
+Architecture: alpha amd64 arm64 armel armhf i386 lpia mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 x32
 Depends: ${shlibs:Depends}, swi-prolog-nox (= ${binary:Version}), ${misc:Depends}, default-jre-headless | java2-runtime
 Description: Bidirectional interface between SWI-Prolog and Java
  SWI-Prolog is a fast and powerful ISO/Edinburgh-style Prolog compiler with a
