=== debian/rules ===
--- 
+++ 
@@ -121,9 +121,6 @@
 	debian/debhelper/dh_swi_prolog -pswi-prolog-nox
 	dh_gencontrol
 
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
-
 override_dh_auto_test:
 	# TODO enable other tests
 	$(MAKE) -C $(CURDIR)/src check
@@ -144,10 +141,10 @@
 	$(MAKE) -C $(CURDIR)/packages/jpl check
 endif
 
-override_dh_makeshlibs: V=$(shell dpkg-parsechangelog|awk '/^Version:/ {sub("-[^-]$$", "",$$2); print $$2}')
+override_dh_makeshlibs: V=$(shell dpkg-parsechangelog|awk '/^Version:/ {sub("-[^-]*$$", "",$$2); print $$2}')
 override_dh_makeshlibs:
 	# This library is not for external apps for now
 	dh_makeshlibs -V"swi-prolog-nox (>= $(V)~), swi-prolog-nox (<< $(V).0~)"
 
 .PHONY: override_dh_auto_configure override_dh_auto_build override_dh_auto_clean override_dh_auto_install
-.PHONY: override_dh_install override_dh_builddeb override_dh_auto_test override_dh_gencontrol
+.PHONY: override_dh_install override_dh_auto_test override_dh_gencontrol
