## swi-prolog 7.2.0

=== debian/changelog ===
swi-prolog (7.2.0-3) unstable; urgency=medium

  * Use ppc64le subdirectory for jre libraries on ppc64el, even if online
    file list says otherwise... Hopefully closes: #805123

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 30 Dec 2015 04:00:32 +0100

swi-prolog (7.2.0-2) unstable; urgency=medium

  * Upload to unstable
  * Set Java target to 1.5

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 28 May 2015 21:35:00 +0200

swi-prolog (7.2.0-1) experimental; urgency=medium

  * New upstream release (closes: #743552)
  * debian/watch - archive names now start with swipl-
  * Increase version of swi-prolog-vm pseudopackage (3)
  * Don't install package R into swi-prolog-nox - removed upstream
  * Install new package pengines into swi-prolog-nox
  * Install new package cql into swi-prolog-odbc
  * Refresh patch java-fixes.diff
  * Don't attempt to install nonexisting packages/xpce/README-4.8
  * Don't attempt to install nonexisting packages/xpce/README.sicstus
  * debian/gbp.conf - remove git- prefix from section names
  * Upload to experimental for now

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 26 May 2015 00:01:33 +0200
