=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,9 @@
 
 export COFLAGS CPPFLAGS LDFLAGS
 
+JAVACFLAGS = -source 1.5 -target 1.5
+export JAVACFLAGS
+
 # List of architectures where -java package should be built.
 JAVA_ARCHS = $(shell grep-dctrl -PX swi-prolog-java -nsArchitecture debian/control)
 
@@ -33,9 +36,9 @@
 PLBASE := /usr/lib/swi-prolog/
 JNIDIR := /usr/lib/$(DEB_HOST_MULTIARCH)/jni
 
-NOX_PACKAGES = clib cpp table sgml RDF semweb http chr clpqr nlp ssl pldoc plunit zlib R protobufs PDT utf8proc archive
+NOX_PACKAGES = clib cpp table sgml RDF semweb http chr clpqr nlp ssl pengines pldoc plunit zlib protobufs PDT utf8proc archive
 X_PACKAGES = xpce
-ODBC_PACKAGES = odbc
+ODBC_PACKAGES = odbc cql
 
 # Add here all packages that are not installed into deb packages
 DISABLE_PKGS += windows
